/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { XYChartDescription } from "./XYChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let FinancialChartDescription = /*@__PURE__*/ (() => {
    class FinancialChartDescription extends XYChartDescription {
        get tooltipTemplateRef() {
            return this.wj;
        }
        set tooltipTemplateRef(a) {
            this.wj = a;
            this.g("TooltipTemplateRef");
        }
        get width() {
            return this.wl;
        }
        set width(a) {
            this.wl = a;
            this.g("Width");
        }
        get height() {
            return this.wi;
        }
        set height(a) {
            this.wi = a;
            this.g("Height");
        }
        get background() {
            return this.wg;
        }
        set background(a) {
            this.wg = a;
            this.g("Background");
        }
        get_type() {
            return "FinancialChart";
        }
        constructor() {
            super();
            this.wj = null;
            this.wl = null;
            this.wi = null;
            this.wg = null;
            this.u5 = 0;
            this.uh = false;
            this.u9 = 0;
            this.up = false;
            this.v8 = 0;
            this.vg = 0;
            this.vi = 0;
            this.vh = 0;
            this.vj = 0;
            this.wk = null;
            this.wm = null;
            this.vb = 0;
            this.ve = 0;
            this.vc = 0;
            this.vd = 0;
            this.vf = 0;
            this.wo = null;
            this.uj = false;
            this.wh = null;
            this.wn = null;
            this.ul = false;
            this.tt = null;
            this.ty = null;
            this.un = false;
            this.u8 = 0;
            this.um = false;
            this.uo = false;
            this.wp = null;
            this.tu = null;
            this.tv = null;
            this.tw = null;
            this.tx = null;
            this.t1 = null;
            this.t0 = null;
            this.ts = null;
            this.tq = null;
            this.va = 0;
            this.u7 = 0;
            this.u6 = 0;
            this.u4 = 0;
            this.tr = null;
            this.v4 = 0;
            this.u3 = 0;
            this.v7 = 0;
            this.v5 = 0;
            this.v3 = 0;
            this.v6 = 0;
            this.tz = null;
            this.tp = null;
            this.uk = false;
            this.wq = null;
            this.vk = 0;
            this.ui = false;
            this.u0 = new Date();
            this.uz = new Date();
            this.t2 = null;
            this.wf = null;
        }
        get leftMargin() {
            return this.u5;
        }
        set leftMargin(a) {
            this.u5 = a;
            this.g("LeftMargin");
        }
        get isHorizontalZoomEnabled() {
            return this.uh;
        }
        set isHorizontalZoomEnabled(a) {
            this.uh = a;
            this.g("IsHorizontalZoomEnabled");
        }
        get toolbarHeight() {
            return this.u9;
        }
        set toolbarHeight(a) {
            this.u9 = a;
            this.g("ToolbarHeight");
        }
        get yAxisIsLogarithmic() {
            return this.up;
        }
        set yAxisIsLogarithmic(a) {
            this.up = a;
            this.g("YAxisIsLogarithmic");
        }
        get yAxisLogarithmBase() {
            return this.v8;
        }
        set yAxisLogarithmBase(a) {
            this.v8 = a;
            this.g("YAxisLogarithmBase");
        }
        get yAxisInterval() {
            return this.vg;
        }
        set yAxisInterval(a) {
            this.vg = a;
            this.g("YAxisInterval");
        }
        get yAxisMinimumValue() {
            return this.vi;
        }
        set yAxisMinimumValue(a) {
            this.vi = a;
            this.g("YAxisMinimumValue");
        }
        get yAxisMaximumValue() {
            return this.vh;
        }
        set yAxisMaximumValue(a) {
            this.vh = a;
            this.g("YAxisMaximumValue");
        }
        get yAxisMinorInterval() {
            return this.vj;
        }
        set yAxisMinorInterval(a) {
            this.vj = a;
            this.g("YAxisMinorInterval");
        }
        get volumeType() {
            return this.wk;
        }
        set volumeType(a) {
            this.wk = a;
            this.g("VolumeType");
        }
        get xAxisMode() {
            return this.wm;
        }
        set xAxisMode(a) {
            this.wm = a;
            this.g("XAxisMode");
        }
        get xAxisZoomMaximumCategoryRange() {
            return this.vb;
        }
        set xAxisZoomMaximumCategoryRange(a) {
            this.vb = a;
            this.g("XAxisZoomMaximumCategoryRange");
        }
        get xAxisZoomToCategoryStart() {
            return this.ve;
        }
        set xAxisZoomToCategoryStart(a) {
            this.ve = a;
            this.g("XAxisZoomToCategoryStart");
        }
        get xAxisZoomMaximumItemSpan() {
            return this.vc;
        }
        set xAxisZoomMaximumItemSpan(a) {
            this.vc = a;
            this.g("XAxisZoomMaximumItemSpan");
        }
        get xAxisZoomToCategoryRange() {
            return this.vd;
        }
        set xAxisZoomToCategoryRange(a) {
            this.vd = a;
            this.g("XAxisZoomToCategoryRange");
        }
        get xAxisZoomToItemSpan() {
            return this.vf;
        }
        set xAxisZoomToItemSpan(a) {
            this.vf = a;
            this.g("XAxisZoomToItemSpan");
        }
        get yAxisMode() {
            return this.wo;
        }
        set yAxisMode(a) {
            this.wo = a;
            this.g("YAxisMode");
        }
        get isToolbarVisible() {
            return this.uj;
        }
        set isToolbarVisible(a) {
            this.uj = a;
            this.g("IsToolbarVisible");
        }
        get chartType() {
            return this.wh;
        }
        set chartType(a) {
            this.wh = a;
            this.g("ChartType");
        }
        get yAxisLabelHorizontalAlignment() {
            return this.wn;
        }
        set yAxisLabelHorizontalAlignment(a) {
            this.wn = a;
            this.g("YAxisLabelHorizontalAlignment");
        }
        get isWindowSyncedToVisibleRange() {
            return this.ul;
        }
        set isWindowSyncedToVisibleRange(a) {
            this.ul = a;
            this.g("IsWindowSyncedToVisibleRange");
        }
        get indicatorTypes() {
            return this.tt;
        }
        set indicatorTypes(a) {
            this.tt = a;
            this.g("IndicatorTypes");
        }
        get overlayTypes() {
            return this.ty;
        }
        set overlayTypes(a) {
            this.ty = a;
            this.g("OverlayTypes");
        }
        get yAxisAbbreviateLargeNumbers() {
            return this.un;
        }
        set yAxisAbbreviateLargeNumbers(a) {
            this.un = a;
            this.g("YAxisAbbreviateLargeNumbers");
        }
        get resolution() {
            return this.u8;
        }
        set resolution(a) {
            this.u8 = a;
            this.g("Resolution");
        }
        get xAxisEnhancedIntervalPreferMoreCategoryLabels() {
            return this.um;
        }
        set xAxisEnhancedIntervalPreferMoreCategoryLabels(a) {
            this.um = a;
            this.g("XAxisEnhancedIntervalPreferMoreCategoryLabels");
        }
        get yAxisEnhancedIntervalPreferMoreCategoryLabels() {
            return this.uo;
        }
        set yAxisEnhancedIntervalPreferMoreCategoryLabels(a) {
            this.uo = a;
            this.g("YAxisEnhancedIntervalPreferMoreCategoryLabels");
        }
        get zoomSliderType() {
            return this.wp;
        }
        set zoomSliderType(a) {
            this.wp = a;
            this.g("ZoomSliderType");
        }
        get negativeBrushes() {
            return this.tu;
        }
        set negativeBrushes(a) {
            this.tu = a;
            this.g("NegativeBrushes");
        }
        get negativeOutlines() {
            return this.tv;
        }
        set negativeOutlines(a) {
            this.tv = a;
            this.g("NegativeOutlines");
        }
        get overlayBrushes() {
            return this.tw;
        }
        set overlayBrushes(a) {
            this.tw = a;
            this.g("OverlayBrushes");
        }
        get overlayOutlines() {
            return this.tx;
        }
        set overlayOutlines(a) {
            this.tx = a;
            this.g("OverlayOutlines");
        }
        get volumeOutlines() {
            return this.t1;
        }
        set volumeOutlines(a) {
            this.t1 = a;
            this.g("VolumeOutlines");
        }
        get volumeBrushes() {
            return this.t0;
        }
        set volumeBrushes(a) {
            this.t0 = a;
            this.g("VolumeBrushes");
        }
        get indicatorNegativeBrushes() {
            return this.ts;
        }
        set indicatorNegativeBrushes(a) {
            this.ts = a;
            this.g("IndicatorNegativeBrushes");
        }
        get indicatorBrushes() {
            return this.tq;
        }
        set indicatorBrushes(a) {
            this.tq = a;
            this.g("IndicatorBrushes");
        }
        get volumeThickness() {
            return this.va;
        }
        set volumeThickness(a) {
            this.va = a;
            this.g("VolumeThickness");
        }
        get overlayThickness() {
            return this.u7;
        }
        set overlayThickness(a) {
            this.u7 = a;
            this.g("OverlayThickness");
        }
        get overlayMultiplier() {
            return this.u6;
        }
        set overlayMultiplier(a) {
            this.u6 = a;
            this.g("OverlayMultiplier");
        }
        get indicatorThickness() {
            return this.u4;
        }
        set indicatorThickness(a) {
            this.u4 = a;
            this.g("IndicatorThickness");
        }
        get indicatorDisplayTypes() {
            return this.tr;
        }
        set indicatorDisplayTypes(a) {
            this.tr = a;
            this.g("IndicatorDisplayTypes");
        }
        get indicatorPeriod() {
            return this.v4;
        }
        set indicatorPeriod(a) {
            this.v4 = a;
            this.g("IndicatorPeriod");
        }
        get indicatorMultiplier() {
            return this.u3;
        }
        set indicatorMultiplier(a) {
            this.u3 = a;
            this.g("IndicatorMultiplier");
        }
        get indicatorSmoothingPeriod() {
            return this.v7;
        }
        set indicatorSmoothingPeriod(a) {
            this.v7 = a;
            this.g("IndicatorSmoothingPeriod");
        }
        get indicatorShortPeriod() {
            return this.v5;
        }
        set indicatorShortPeriod(a) {
            this.v5 = a;
            this.g("IndicatorShortPeriod");
        }
        get indicatorLongPeriod() {
            return this.v3;
        }
        set indicatorLongPeriod(a) {
            this.v3 = a;
            this.g("IndicatorLongPeriod");
        }
        get indicatorSignalPeriod() {
            return this.v6;
        }
        set indicatorSignalPeriod(a) {
            this.v6 = a;
            this.g("IndicatorSignalPeriod");
        }
        get rangeSelectorOptions() {
            return this.tz;
        }
        set rangeSelectorOptions(a) {
            this.tz = a;
            this.g("RangeSelectorOptions");
        }
        get customIndicatorNames() {
            return this.tp;
        }
        set customIndicatorNames(a) {
            this.tp = a;
            this.g("CustomIndicatorNames");
        }
        get isVerticalZoomEnabled() {
            return this.uk;
        }
        set isVerticalZoomEnabled(a) {
            this.uk = a;
            this.g("IsVerticalZoomEnabled");
        }
        get zoomSliderXAxisMajorStroke() {
            return this.wq;
        }
        set zoomSliderXAxisMajorStroke(a) {
            this.wq = a;
            this.g("ZoomSliderXAxisMajorStroke");
        }
        get zoomSliderXAxisMajorStrokeThickness() {
            return this.vk;
        }
        set zoomSliderXAxisMajorStrokeThickness(a) {
            this.vk = a;
            this.g("ZoomSliderXAxisMajorStrokeThickness");
        }
        get isLegendVisible() {
            return this.ui;
        }
        set isLegendVisible(a) {
            this.ui = a;
            this.g("IsLegendVisible");
        }
        get xAxisMinimumValue() {
            return this.u0;
        }
        set xAxisMinimumValue(a) {
            this.u0 = a;
            this.g("XAxisMinimumValue");
        }
        get xAxisMaximumValue() {
            return this.uz;
        }
        set xAxisMaximumValue(a) {
            this.uz = a;
            this.g("XAxisMaximumValue");
        }
        get xAxisBreaks() {
            return this.t2;
        }
        set xAxisBreaks(a) {
            this.t2 = a;
            this.g("XAxisBreaks");
        }
        get applyCustomIndicatorsRef() {
            return this.wf;
        }
        set applyCustomIndicatorsRef(a) {
            this.wf = a;
            this.g("ApplyCustomIndicatorsRef");
        }
    }
    FinancialChartDescription.$t = /*@__PURE__*/ markType(FinancialChartDescription, 'FinancialChartDescription', XYChartDescription.$);
    return FinancialChartDescription;
})();
